/**
 * Available model providers
 */
export type ModelProvider = 'anthropic' | 'openai' | 'ollama' | 'xai' | 'mistral';
/**
 * Get the model instance based on provider and model name
 */
export declare function getModel(provider: ModelProvider, modelName: string, options?: {
    ollamaBaseUrl?: string;
}): import("ai").LanguageModelV1;
import { ToolContext } from '../types';
/**
 * Default configuration for the tool agent
 */
export declare const DEFAULT_CONFIG: {
    maxIterations: number;
    model: import("ai").LanguageModelV1;
    maxTokens: number;
    temperature: number;
    getSystemPrompt: typeof getDefaultSystemPrompt;
};
/**
 * Gets the default system prompt with contextual information about the environment
 */
export declare function getDefaultSystemPrompt(toolContext: ToolContext): string;
//# sourceMappingURL=config.d.ts.map