import { CoreMessage, ToolCallPart } from 'ai';
/**
 * Creates a cache control message from a system prompt
 * This is used for token caching with the Vercel AI SDK
 */
export declare function createCacheControlMessageFromSystemPrompt(systemPrompt: string): CoreMessage;
/**
 * Adds cache control to the messages for token caching with the Vercel AI SDK
 * This marks the last two messages as ephemeral which allows the conversation up to that
 * point to be cached (with a ~5 minute window), reducing token usage when making multiple API calls
 */
export declare function addCacheControlToMessages(messages: CoreMessage[]): CoreMessage[];
/**
 * Formats tool calls from the AI into the ToolUseContent format
 */
export declare function formatToolCalls(toolCalls: any[]): any[];
/**
 * Creates tool call parts for the assistant message
 */
export declare function createToolCallParts(toolCalls: any[]): Array<ToolCallPart>;
//# sourceMappingURL=messageUtils.d.ts.map